Debian Bug report logs - #440299
linux-image-2.6.22-1-mckinley: McKinley flavour does not inclide IDE drivers

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Andree Leidenfrost <andree@debian.org>

Date: Fri, 31 Aug 2007 11:24:02 UTC

Severity: normal

Fixed in version 2.6.22-4

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440299; Package linux-image-2.6.22-1-mckinley. Full text and rfc822 format available.

Acknowledgement sent to Andree Leidenfrost <andree@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andree Leidenfrost <andree@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.22-1-mckinley: McKinley flavour does not inclide IDE drivers
Date: Fri, 31 Aug 2007 21:20:24 +1000
Package: linux-image-2.6.22-1-mckinley
Version: 2.6.22-3
Severity: normal


amd64 is fine. Also, 2.6.18 is fine as well.

There is not even a directory 

/lib/modules/2.6.22-1-mckinley/kernel/drivers/ide/

This causes my system to fail to boot because I am booting off an IDE disk.

Cheers,
Andree


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: ia64

Kernel: Linux 2.6.18-3-mckinley (SMP w/1 CPU core)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.22-1-mckinley depends on:
ii  coreutils                    5.97-5.4    The GNU core utilities
ii  debconf [debconf-2.0]        1.5.14      Debian configuration management sy
ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo
ii  yaird [linux-initramfs-tool] 0.0.12-22   Yet Another mkInitRD

linux-image-2.6.22-1-mckinley recommends no packages.

-- debconf information:
  linux-image-2.6.22-1-mckinley/postinst/bootloader-error-2.6.22-1-mckinley:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.22-1-mckinley/postinst/bootloader-test-error-2.6.22-1-mckinley:
  linux-image-2.6.22-1-mckinley/preinst/bootloader-initrd-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/postinst/create-kimage-link-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/preinst/abort-overwrite-2.6.22-1-mckinley:
  linux-image-2.6.22-1-mckinley/preinst/failed-to-move-modules-2.6.22-1-mckinley:
  linux-image-2.6.22-1-mckinley/preinst/already-running-this-2.6.22-1-mckinley:
  linux-image-2.6.22-1-mckinley/prerm/would-invalidate-boot-loader-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/preinst/elilo-initrd-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/postinst/old-dir-initrd-link-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/postinst/old-system-map-link-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/preinst/initrd-2.6.22-1-mckinley:
  linux-image-2.6.22-1-mckinley/postinst/depmod-error-2.6.22-1-mckinley: false
  linux-image-2.6.22-1-mckinley/preinst/lilo-initrd-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/preinst/abort-install-2.6.22-1-mckinley:
  linux-image-2.6.22-1-mckinley/preinst/lilo-has-ramdisk:
  linux-image-2.6.22-1-mckinley/postinst/kimage-is-a-directory:
  linux-image-2.6.22-1-mckinley/preinst/overwriting-modules-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/postinst/depmod-error-initrd-2.6.22-1-mckinley: false
  linux-image-2.6.22-1-mckinley/prerm/removing-running-kernel-2.6.22-1-mckinley: true
  linux-image-2.6.22-1-mckinley/postinst/old-initrd-link-2.6.22-1-mckinley: true



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440299; Package linux-image-2.6.22-1-mckinley. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 440299@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Andree Leidenfrost <andree@debian.org>, 440299@bugs.debian.org
Subject: Re: Bug#440299: linux-image-2.6.22-1-mckinley: McKinley flavour does not inclide IDE drivers
Date: Fri, 31 Aug 2007 13:52:59 +0200
On Fri, Aug 31, 2007 at 09:20:24PM +1000, Andree Leidenfrost wrote:
> 
> amd64 is fine. Also, 2.6.18 is fine as well.
> 
> There is not even a directory 
> 
> /lib/modules/2.6.22-1-mckinley/kernel/drivers/ide/

please send in your output of
lscpi -vn
 
> This causes my system to fail to boot because I am booting off an IDE disk.

btw the usage of yaird is deprecated.

which ide controller did you add in that ia64?
 
regards

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440299; Package linux-image-2.6.22-1-mckinley. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 440299@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Andree Leidenfrost <andree@debian.org>, 440299@bugs.debian.org
Subject: Re: Bug#440299: linux-image-2.6.22-1-mckinley: McKinley flavour does not inclide IDE drivers
Date: Fri, 31 Aug 2007 11:14:47 -0600
On Fri, Aug 31, 2007 at 09:20:24PM +1000, Andree Leidenfrost wrote:
> Package: linux-image-2.6.22-1-mckinley
> Version: 2.6.22-3
> Severity: normal
> 
> 
> amd64 is fine. Also, 2.6.18 is fine as well.
> 
> There is not even a directory 
> 
> /lib/modules/2.6.22-1-mckinley/kernel/drivers/ide/
> 
> This causes my system to fail to boot because I am booting off an IDE disk.

Yes, many ia64 config options got dropped due to a config cleanup, and
I couldn't fix it until we had an ABI-changing upload.

Such an upload just occurred, so this should be resolved in 2.6.22-4.

-- 
dann frazier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440299; Package linux-image-2.6.22-1-mckinley. Full text and rfc822 format available.

Acknowledgement sent to Andree Leidenfrost <andree@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 440299@bugs.debian.org (full text, mbox):

From: Andree Leidenfrost <andree@debian.org>
To: dann frazier <dannf@debian.org>
Cc: 440299@bugs.debian.org
Subject: Re: Bug#440299: linux-image-2.6.22-1-mckinley: McKinley flavour does not inclide IDE drivers
Date: Sat, 01 Sep 2007 19:21:46 +1000
[Message part 1 (text/plain, inline)]
Hi Dann,

Ok, cool, thanks a lot for letting me know.

Cheers,
Andree

On Fri, 2007-08-31 at 11:14 -0600, dann frazier wrote:
> On Fri, Aug 31, 2007 at 09:20:24PM +1000, Andree Leidenfrost wrote:
> > Package: linux-image-2.6.22-1-mckinley
> > Version: 2.6.22-3
> > Severity: normal
> > 
> > 
> > amd64 is fine. Also, 2.6.18 is fine as well.
> > 
> > There is not even a directory 
> > 
> > /lib/modules/2.6.22-1-mckinley/kernel/drivers/ide/
> > 
> > This causes my system to fail to boot because I am booting off an IDE disk.
> 
> Yes, many ia64 config options got dropped due to a config cleanup, and
> I couldn't fix it until we had an ABI-changing upload.
> 
> Such an upload just occurred, so this should be resolved in 2.6.22-4.
> 
-- 
Andree Leidenfrost
@ Debian Developer
Sydney - Australia

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#440299; Package linux-image-2.6.22-1-mckinley. Full text and rfc822 format available.

Acknowledgement sent to Andree Leidenfrost <andree@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 440299@bugs.debian.org (full text, mbox):

From: Andree Leidenfrost <andree@debian.org>
To: maximilian attems <max@stro.at>
Cc: 440299@bugs.debian.org
Subject: Re: Bug#440299: linux-image-2.6.22-1-mckinley: McKinley flavour does not inclide IDE drivers
Date: Sat, 01 Sep 2007 19:25:16 +1000
[Message part 1 (text/plain, inline)]
Hi Maximilian,

Thanks a lot for your response.

I suppose Dann gave the answer by saying this will be fixed in 2.6.22-4.

And, yeah, I know yaird is deprecated. I had just tried it out to see
whether it would make a difference.

Thanks again!

Cheers,
Andree

On Fri, 2007-08-31 at 13:52 +0200, maximilian attems wrote:
> On Fri, Aug 31, 2007 at 09:20:24PM +1000, Andree Leidenfrost wrote:
> > 
> > amd64 is fine. Also, 2.6.18 is fine as well.
> > 
> > There is not even a directory 
> > 
> > /lib/modules/2.6.22-1-mckinley/kernel/drivers/ide/
> 
> please send in your output of
> lscpi -vn
>  
> > This causes my system to fail to boot because I am booting off an IDE disk.
> 
> btw the usage of yaird is deprecated.
> 
> which ide controller did you add in that ia64?
>  
> regards
> 
-- 
Andree Leidenfrost
@ Debian Developer
Sydney - Australia

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `linux-image-2.6.22-1-mckinley' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Tue, 10 Jun 2008 09:22:19 GMT) Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Wed, 12 Nov 2008 00:48:03 GMT) Full text and rfc822 format available.

Notification sent to Andree Leidenfrost <andree@debian.org>:
Bug acknowledged by developer. (Wed, 12 Nov 2008 00:48:04 GMT) Full text and rfc822 format available.

Message #32 received at 440299-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 440299-done@bugs.debian.org
Subject: Re: Bug#440299: linux-image-2.6.22-1-mckinley: McKinley flavour does not inclide IDE drivers
Date: Wed, 12 Nov 2008 01:45:04 +0100
Version: 2.6.22-4

On Fri, Aug 31, 2007 at 11:14:47AM -0600, dann frazier wrote:
> On Fri, Aug 31, 2007 at 09:20:24PM +1000, Andree Leidenfrost wrote:
> > Package: linux-image-2.6.22-1-mckinley
> > Version: 2.6.22-3
> > Severity: normal
> > 
> > 
> > amd64 is fine. Also, 2.6.18 is fine as well.
> > 
> > There is not even a directory 
> > 
> > /lib/modules/2.6.22-1-mckinley/kernel/drivers/ide/
> > 
> > This causes my system to fail to boot because I am booting off an IDE disk.
> 
> Yes, many ia64 config options got dropped due to a config cleanup, and
> I couldn't fix it until we had an ABI-changing upload.
> 
> Such an upload just occurred, so this should be resolved in 2.6.22-4.

Marking this as fixed, since the 2.6.22-4 changelog entry didn't have
a bug closer for this issue.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Dec 2008 07:31:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:19:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.